summaryrefslogtreecommitdiff
path: root/dev-python/python-systemd/python-systemd-235.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-28 07:46:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-28 07:46:56 +0000
commit8337eb1a966a9c83cfb9ae3f45e76fef19e1e15a (patch)
tree675c4bb4eb2494f07c2697a0f1e3f20892987ffd /dev-python/python-systemd/python-systemd-235.ebuild
parent7cbe64b5c7bca7073d7458a3c7a8317f62068e7e (diff)
downloadbaldeagleos-repo-8337eb1a966a9c83cfb9ae3f45e76fef19e1e15a.tar.gz
baldeagleos-repo-8337eb1a966a9c83cfb9ae3f45e76fef19e1e15a.tar.xz
baldeagleos-repo-8337eb1a966a9c83cfb9ae3f45e76fef19e1e15a.zip
Adding metadata
Diffstat (limited to 'dev-python/python-systemd/python-systemd-235.ebuild')
-rw-r--r--dev-python/python-systemd/python-systemd-235.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/python-systemd/python-systemd-235.ebuild b/dev-python/python-systemd/python-systemd-235.ebuild
new file mode 100644
index 000000000000..e4fe2c0d4216
--- /dev/null
+++ b/dev-python/python-systemd/python-systemd-235.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2015-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for native access to the systemd facilities"
+HOMEPAGE="https://github.com/systemd/python-systemd"
+SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+DEPEND="sys-apps/systemd:="
+RDEPEND="${DEPEND}
+ !sys-apps/systemd[python(-)]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # https://bugs.gentoo.org/690316
+ distutils-r1_python_compile -j1
+}
+
+python_test() {
+ unset NOTIFY_SOCKET
+ cd "${T}" || die
+ epytest --pyargs systemd -o cache_dir="${T}"
+}